using System;
using System.Collections.Generic;
using System.Runtime.CompilerServices;

class Zadatak
{
    static void Main()
    {
        String[] s = Console.ReadLine().Split();
        int N = int.Parse(s[0]);
        int L = int.Parse(s[1]);
        int[] a = new int[N];
        string[] x = Console.ReadLine().Split();
        for (int i = 0; i < N; i++)
        {
            a[i] = int.Parse(x[i]);
            if (L >= a[i])
            {
                Console.WriteLine(i+1); break;
            }
            if(N-1==i)
            {
                Console.WriteLine(-1);
            }
        }
    }
}